public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: media-sound/furnace/
@ 2023-12-04  7:15 Artemis Everfree
  0 siblings, 0 replies; 6+ messages in thread
From: Artemis Everfree @ 2023-12-04  7:15 UTC (permalink / raw
  To: gentoo-commits

commit:     952083b37611ce32456d00806f7f5d4cea747075
Author:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
AuthorDate: Mon Dec  4 07:15:19 2023 +0000
Commit:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
CommitDate: Mon Dec  4 07:15:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=952083b3

media-sound/furnace: new package, add 0.6

Signed-off-by: Artemis Everfree <artemis <AT> artemis.sh>

 media-sound/furnace/Manifest           |  2 +
 media-sound/furnace/furnace-0.6.ebuild | 67 ++++++++++++++++++++++++++++++++++
 media-sound/furnace/metadata.xml       | 13 +++++++
 3 files changed, 82 insertions(+)

diff --git a/media-sound/furnace/Manifest b/media-sound/furnace/Manifest
new file mode 100644
index 0000000000..b4d2687364
--- /dev/null
+++ b/media-sound/furnace/Manifest
@@ -0,0 +1,2 @@
+DIST furnace-0.6-adpcm-ef7a217.tar.gz 5497 BLAKE2B 94c2cb035f57a47b8232a4c30887fd86c405218a36ab6d68b817e1237328c5c23e82514822cb9a3e07cd9bbf72e2f1f3eb109b0ac3a4eec9f4668bd1521b7c11 SHA512 40b6f042a56532681e731da8d63c28abd3d824ce660060bc7e296ff9d1ad994d358189fc441458a86eb1506bce47f8364b09ebe1a2d475d308345058b7f4bfb0
+DIST furnace-0.6.tar.gz 44552370 BLAKE2B fd91ab161e309d6c3637fa0c70ea3100f70da98e0044ced1743b0f5416cf6fd9f4f4d307c87776c0a4cfd202ff118d814409bd69f23445443c22265c0630b1fc SHA512 e24aca8e26961c53121869aafa041bf507748e4d4886761ca4a755ad31ba98ce228114009ffb34333d6737fe4759bfa47cd733457863c2f767c01686728c3798

diff --git a/media-sound/furnace/furnace-0.6.ebuild b/media-sound/furnace/furnace-0.6.ebuild
new file mode 100644
index 0000000000..d667337a16
--- /dev/null
+++ b/media-sound/furnace/furnace-0.6.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg-utils
+
+DESCRIPTION="a multi-system chiptune tracker compatible with DefleMask modules"
+HOMEPAGE="https://github.com/tildearrow/furnace"
+
+# when performing updates, check whether the project has switched to a new
+# version of adpcm. adpcm doesn't seem to update frequently.
+SRC_URI="
+	https://github.com/tildearrow/furnace/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/superctr/adpcm/archive/ef7a217154badc3b99978ac481b268c8aab67bd8.tar.gz -> ${P}-adpcm-ef7a217.tar.gz
+"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="jack"
+
+RDEPEND="
+	dev-libs/libfmt
+	media-libs/alsa-lib
+	media-libs/libglvnd
+	media-libs/libsdl2
+	media-libs/libsndfile
+	media-libs/portaudio
+	media-libs/rtmidi
+	sci-libs/fftw
+	sys-libs/zlib
+	x11-themes/hicolor-icon-theme
+	jack? ( virtual/jack )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	# adpcm is a git submodule in-tree, and thus not included in the
+	# github-generated source bundle. We move it in here.
+	rmdir -v "${S}/extern/adpcm" || die "couldn't remove existing adpcm stub directory"
+	mv -v "${WORKDIR}/adpcm-"* "${S}/extern/adpcm" || die "failed to move adpcm directory into place"
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_GUI=ON
+		-DSYSTEM_FFTW=ON
+		-DSYSTEM_FMT=ON
+		-DSYSTEM_LIBSNDFILE=ON
+		-DSYSTEM_PORTAUDIO=ON
+		-DSYSTEM_RTMIDI=ON
+		-DSYSTEM_ZLIB=ON
+		-DSYSTEM_SDL2=ON
+		-DWITH_JACK="$(usex jack ON OFF)"
+	)
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+}

diff --git a/media-sound/furnace/metadata.xml b/media-sound/furnace/metadata.xml
new file mode 100644
index 0000000000..43b4ae19ad
--- /dev/null
+++ b/media-sound/furnace/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+    <maintainer type="person">
+        <email>artemis@artemis.sh</email>
+        <description>Primary maintainer</description>
+        <name>Artemis Everfree</name>
+    </maintainer>
+    <upstream>
+        <remote-id type="github">tildearrow/furnace</remote-id>
+    </upstream>
+</pkgmetadata>
+


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-sound/furnace/
@ 2024-07-20 21:05 Artemis Everfree
  0 siblings, 0 replies; 6+ messages in thread
From: Artemis Everfree @ 2024-07-20 21:05 UTC (permalink / raw
  To: gentoo-commits

commit:     40831cf5d51df6db76fe7925f054bda665c1a282
Author:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
AuthorDate: Sat Jul 20 21:04:07 2024 +0000
Commit:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
CommitDate: Sat Jul 20 21:04:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=40831cf5

media-sound/furnace: add 0.6.5

Signed-off-by: Artemis Everfree <artemis <AT> artemis.sh>

 media-sound/furnace/Manifest             |  2 +
 media-sound/furnace/furnace-0.6.5.ebuild | 64 ++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/media-sound/furnace/Manifest b/media-sound/furnace/Manifest
index b4d268736..de9167f9c 100644
--- a/media-sound/furnace/Manifest
+++ b/media-sound/furnace/Manifest
@@ -1,2 +1,4 @@
 DIST furnace-0.6-adpcm-ef7a217.tar.gz 5497 BLAKE2B 94c2cb035f57a47b8232a4c30887fd86c405218a36ab6d68b817e1237328c5c23e82514822cb9a3e07cd9bbf72e2f1f3eb109b0ac3a4eec9f4668bd1521b7c11 SHA512 40b6f042a56532681e731da8d63c28abd3d824ce660060bc7e296ff9d1ad994d358189fc441458a86eb1506bce47f8364b09ebe1a2d475d308345058b7f4bfb0
+DIST furnace-0.6.5-adpcm-ef7a217.tar.gz 5497 BLAKE2B 94c2cb035f57a47b8232a4c30887fd86c405218a36ab6d68b817e1237328c5c23e82514822cb9a3e07cd9bbf72e2f1f3eb109b0ac3a4eec9f4668bd1521b7c11 SHA512 40b6f042a56532681e731da8d63c28abd3d824ce660060bc7e296ff9d1ad994d358189fc441458a86eb1506bce47f8364b09ebe1a2d475d308345058b7f4bfb0
+DIST furnace-0.6.5.tar.gz 54072335 BLAKE2B 005a8ed9fef006ea80896f29c283d0d8a3962a826ca99ec7ffe28a001db8a868bea787277818babec455e9b0bd0e67c0f9a7d4f5d68c8e4748ecfde040c74a28 SHA512 58dfa3ea32fda3bd1cb6f34486efd30f780367686d82399f8a7b9a89a6cf430f50a4063ef6c71a514ae1a5be4598c359f516e4b8fee86d8e030ac1a0307cd1bc
 DIST furnace-0.6.tar.gz 44552370 BLAKE2B fd91ab161e309d6c3637fa0c70ea3100f70da98e0044ced1743b0f5416cf6fd9f4f4d307c87776c0a4cfd202ff118d814409bd69f23445443c22265c0630b1fc SHA512 e24aca8e26961c53121869aafa041bf507748e4d4886761ca4a755ad31ba98ce228114009ffb34333d6737fe4759bfa47cd733457863c2f767c01686728c3798

diff --git a/media-sound/furnace/furnace-0.6.5.ebuild b/media-sound/furnace/furnace-0.6.5.ebuild
new file mode 100644
index 000000000..0b008af8c
--- /dev/null
+++ b/media-sound/furnace/furnace-0.6.5.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="a multi-system chiptune tracker compatible with DefleMask modules"
+HOMEPAGE="https://github.com/tildearrow/furnace"
+
+# when performing updates, check whether the project has switched to a new
+# version of adpcm. adpcm doesn't seem to update frequently.
+SRC_URI="
+	https://github.com/tildearrow/furnace/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/superctr/adpcm/archive/ef7a217154badc3b99978ac481b268c8aab67bd8.tar.gz -> ${P}-adpcm-ef7a217.tar.gz
+"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="jack"
+
+RDEPEND="
+	dev-libs/libfmt
+	media-libs/alsa-lib
+	media-libs/libglvnd
+	media-libs/libsdl2
+	media-libs/libsndfile
+	media-libs/portaudio
+	media-libs/rtmidi
+	sci-libs/fftw
+	sys-libs/zlib
+	x11-themes/hicolor-icon-theme
+	jack? ( virtual/jack )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	# adpcm is a git submodule in-tree, and thus not included in the
+	# github-generated source bundle. We move it in here.
+	rmdir -v "${S}/extern/adpcm" || die "couldn't remove existing adpcm stub directory"
+	mv -v "${WORKDIR}/adpcm-"* "${S}/extern/adpcm" || die "failed to move adpcm directory into place"
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_GUI=ON
+		-DSHOW_OPEN_ASSETS_MENU_ENTRY=ON
+		-DSYSTEM_FFTW=ON
+		-DSYSTEM_FMT=ON
+		-DSYSTEM_LIBSNDFILE=ON
+		-DSYSTEM_PORTAUDIO=ON
+		-DSYSTEM_RTMIDI=ON
+		-DSYSTEM_SDL2=ON
+		-DSYSTEM_ZLIB=ON
+		-DWITH_DEMOS=ON
+		-DWITH_INSTRUMENTS=ON
+		-DWITH_WAVETABLES=ON
+		-DWITH_JACK="$(usex jack ON OFF)"
+	)
+
+	cmake_src_configure
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-sound/furnace/
@ 2024-07-21  9:47 Artemis Everfree
  0 siblings, 0 replies; 6+ messages in thread
From: Artemis Everfree @ 2024-07-21  9:47 UTC (permalink / raw
  To: gentoo-commits

commit:     0a2c6b9436215e5ba9474bb22f7a99ded10e2905
Author:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
AuthorDate: Sun Jul 21 09:47:03 2024 +0000
Commit:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
CommitDate: Sun Jul 21 09:47:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0a2c6b94

media-sound/furnace: update LICENSE

Signed-off-by: Artemis Everfree <artemis <AT> artemis.sh>

 media-sound/furnace/furnace-0.6.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-sound/furnace/furnace-0.6.5.ebuild b/media-sound/furnace/furnace-0.6.5.ebuild
index 0b008af8c..f907d52f2 100644
--- a/media-sound/furnace/furnace-0.6.5.ebuild
+++ b/media-sound/furnace/furnace-0.6.5.ebuild
@@ -14,7 +14,7 @@ SRC_URI="
 	https://github.com/tildearrow/furnace/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
 	https://github.com/superctr/adpcm/archive/ef7a217154badc3b99978ac481b268c8aab67bd8.tar.gz -> ${P}-adpcm-ef7a217.tar.gz
 "
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
 SLOT="0"
 KEYWORDS="~amd64 ~arm64"
 IUSE="jack"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-sound/furnace/
@ 2024-07-21  9:49 Artemis Everfree
  0 siblings, 0 replies; 6+ messages in thread
From: Artemis Everfree @ 2024-07-21  9:49 UTC (permalink / raw
  To: gentoo-commits

commit:     6c3ae18c3e1a7784bae81334dd34071d1243bdb9
Author:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
AuthorDate: Sun Jul 21 09:49:22 2024 +0000
Commit:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
CommitDate: Sun Jul 21 09:49:22 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6c3ae18c

media-sound/furnace: update copyright notice

Signed-off-by: Artemis Everfree <artemis <AT> artemis.sh>

 media-sound/furnace/furnace-0.6.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-sound/furnace/furnace-0.6.5.ebuild b/media-sound/furnace/furnace-0.6.5.ebuild
index f907d52f2..2293b5545 100644
--- a/media-sound/furnace/furnace-0.6.5.ebuild
+++ b/media-sound/furnace/furnace-0.6.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-sound/furnace/
@ 2024-09-07  6:57 Artemis Everfree
  0 siblings, 0 replies; 6+ messages in thread
From: Artemis Everfree @ 2024-09-07  6:57 UTC (permalink / raw
  To: gentoo-commits

commit:     016f716de7d5dc0e0ee420cbb649df2f48b3ac88
Author:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
AuthorDate: Sat Sep  7 05:20:17 2024 +0000
Commit:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
CommitDate: Sat Sep  7 06:56:32 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=016f716d

media-sound/furnace: fix missing freetype dep

Signed-off-by: Artemis Everfree <artemis <AT> artemis.sh>

 media-sound/furnace/{furnace-0.6.5.ebuild => furnace-0.6.5-r1.ebuild} | 1 +
 1 file changed, 1 insertion(+)

diff --git a/media-sound/furnace/furnace-0.6.5.ebuild b/media-sound/furnace/furnace-0.6.5-r1.ebuild
similarity index 98%
rename from media-sound/furnace/furnace-0.6.5.ebuild
rename to media-sound/furnace/furnace-0.6.5-r1.ebuild
index 2293b5545..48bfa3da6 100644
--- a/media-sound/furnace/furnace-0.6.5.ebuild
+++ b/media-sound/furnace/furnace-0.6.5-r1.ebuild
@@ -22,6 +22,7 @@ IUSE="jack"
 RDEPEND="
 	dev-libs/libfmt
 	media-libs/alsa-lib
+	media-libs/freetype
 	media-libs/libglvnd
 	media-libs/libsdl2
 	media-libs/libsndfile


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: media-sound/furnace/
@ 2024-09-07  6:57 Artemis Everfree
  0 siblings, 0 replies; 6+ messages in thread
From: Artemis Everfree @ 2024-09-07  6:57 UTC (permalink / raw
  To: gentoo-commits

commit:     276ca8345223fb8360d4736c7d4160979d604b47
Author:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
AuthorDate: Sat Sep  7 06:19:00 2024 +0000
Commit:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
CommitDate: Sat Sep  7 06:56:33 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=276ca834

media-sound/furnace: add 0.6.7

Signed-off-by: Artemis Everfree <artemis <AT> artemis.sh>

 media-sound/furnace/Manifest             |  2 +
 media-sound/furnace/furnace-0.6.7.ebuild | 65 ++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/media-sound/furnace/Manifest b/media-sound/furnace/Manifest
index de9167f9c..808f669e0 100644
--- a/media-sound/furnace/Manifest
+++ b/media-sound/furnace/Manifest
@@ -1,4 +1,6 @@
 DIST furnace-0.6-adpcm-ef7a217.tar.gz 5497 BLAKE2B 94c2cb035f57a47b8232a4c30887fd86c405218a36ab6d68b817e1237328c5c23e82514822cb9a3e07cd9bbf72e2f1f3eb109b0ac3a4eec9f4668bd1521b7c11 SHA512 40b6f042a56532681e731da8d63c28abd3d824ce660060bc7e296ff9d1ad994d358189fc441458a86eb1506bce47f8364b09ebe1a2d475d308345058b7f4bfb0
 DIST furnace-0.6.5-adpcm-ef7a217.tar.gz 5497 BLAKE2B 94c2cb035f57a47b8232a4c30887fd86c405218a36ab6d68b817e1237328c5c23e82514822cb9a3e07cd9bbf72e2f1f3eb109b0ac3a4eec9f4668bd1521b7c11 SHA512 40b6f042a56532681e731da8d63c28abd3d824ce660060bc7e296ff9d1ad994d358189fc441458a86eb1506bce47f8364b09ebe1a2d475d308345058b7f4bfb0
 DIST furnace-0.6.5.tar.gz 54072335 BLAKE2B 005a8ed9fef006ea80896f29c283d0d8a3962a826ca99ec7ffe28a001db8a868bea787277818babec455e9b0bd0e67c0f9a7d4f5d68c8e4748ecfde040c74a28 SHA512 58dfa3ea32fda3bd1cb6f34486efd30f780367686d82399f8a7b9a89a6cf430f50a4063ef6c71a514ae1a5be4598c359f516e4b8fee86d8e030ac1a0307cd1bc
+DIST furnace-0.6.7-adpcm-ef7a217.tar.gz 5497 BLAKE2B 94c2cb035f57a47b8232a4c30887fd86c405218a36ab6d68b817e1237328c5c23e82514822cb9a3e07cd9bbf72e2f1f3eb109b0ac3a4eec9f4668bd1521b7c11 SHA512 40b6f042a56532681e731da8d63c28abd3d824ce660060bc7e296ff9d1ad994d358189fc441458a86eb1506bce47f8364b09ebe1a2d475d308345058b7f4bfb0
+DIST furnace-0.6.7.tar.gz 54718123 BLAKE2B 8aa8fae6ce2252fc4e98562378515b487a7614d7bb7229e139d5eb8a6dcaa7122fa1e5925e0923cd6f6ea943df69475814ab2578262a477832961ca6f199ea6a SHA512 8cb2dbd5d9d0933d265d5a56e474034158a719f4dc559f8028af3db789ea3dc4cb56d861bbd774751ecc951e511c19f41a6f16ec64ba408d95dae83fef2ec3d4
 DIST furnace-0.6.tar.gz 44552370 BLAKE2B fd91ab161e309d6c3637fa0c70ea3100f70da98e0044ced1743b0f5416cf6fd9f4f4d307c87776c0a4cfd202ff118d814409bd69f23445443c22265c0630b1fc SHA512 e24aca8e26961c53121869aafa041bf507748e4d4886761ca4a755ad31ba98ce228114009ffb34333d6737fe4759bfa47cd733457863c2f767c01686728c3798

diff --git a/media-sound/furnace/furnace-0.6.7.ebuild b/media-sound/furnace/furnace-0.6.7.ebuild
new file mode 100644
index 000000000..48bfa3da6
--- /dev/null
+++ b/media-sound/furnace/furnace-0.6.7.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="a multi-system chiptune tracker compatible with DefleMask modules"
+HOMEPAGE="https://github.com/tildearrow/furnace"
+
+# when performing updates, check whether the project has switched to a new
+# version of adpcm. adpcm doesn't seem to update frequently.
+SRC_URI="
+	https://github.com/tildearrow/furnace/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/superctr/adpcm/archive/ef7a217154badc3b99978ac481b268c8aab67bd8.tar.gz -> ${P}-adpcm-ef7a217.tar.gz
+"
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="jack"
+
+RDEPEND="
+	dev-libs/libfmt
+	media-libs/alsa-lib
+	media-libs/freetype
+	media-libs/libglvnd
+	media-libs/libsdl2
+	media-libs/libsndfile
+	media-libs/portaudio
+	media-libs/rtmidi
+	sci-libs/fftw
+	sys-libs/zlib
+	x11-themes/hicolor-icon-theme
+	jack? ( virtual/jack )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	# adpcm is a git submodule in-tree, and thus not included in the
+	# github-generated source bundle. We move it in here.
+	rmdir -v "${S}/extern/adpcm" || die "couldn't remove existing adpcm stub directory"
+	mv -v "${WORKDIR}/adpcm-"* "${S}/extern/adpcm" || die "failed to move adpcm directory into place"
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_GUI=ON
+		-DSHOW_OPEN_ASSETS_MENU_ENTRY=ON
+		-DSYSTEM_FFTW=ON
+		-DSYSTEM_FMT=ON
+		-DSYSTEM_LIBSNDFILE=ON
+		-DSYSTEM_PORTAUDIO=ON
+		-DSYSTEM_RTMIDI=ON
+		-DSYSTEM_SDL2=ON
+		-DSYSTEM_ZLIB=ON
+		-DWITH_DEMOS=ON
+		-DWITH_INSTRUMENTS=ON
+		-DWITH_WAVETABLES=ON
+		-DWITH_JACK="$(usex jack ON OFF)"
+	)
+
+	cmake_src_configure
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2024-09-07  6:57 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-09-07  6:57 [gentoo-commits] repo/proj/guru:dev commit in: media-sound/furnace/ Artemis Everfree
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07  6:57 Artemis Everfree
2024-07-21  9:49 Artemis Everfree
2024-07-21  9:47 Artemis Everfree
2024-07-20 21:05 Artemis Everfree
2023-12-04  7:15 Artemis Everfree

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox